Summary:       Fast anti-spam filtering by Bayesian statistical analysis
Name:          bogofilter
Version:       1.2.5
Release:       5%{?dist}
License:       GPLv2
URL:           http://bogofilter.sourceforge.net/
Source0:       http://downloads.sourceforge.net/bogofilter/bogofilter-%{version}.tar.xz

BuildRequires: gcc make
BuildRequires: flex libdb-devel gsl-devel
BuildRequires: /usr/bin/iconv
BuildRequires: perl-generators

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.

%package bogoupgrade
Summary: Upgrades bogofilter database to current version
Requires: %{name} = %{version}-%{release}

%description bogoupgrade
bogoupgrade is a command to upgrade bogofilter’s databases from an old
format to the current format. Since the format of the database changes
once in a while, the utility is designed to make the upgrade easy.
bogoupgrade is in an extra package to remove the perl dependency on the
main bogofilter package.

%prep
%autosetup

%build
%configure --disable-rpath
%make_build

%install
%make_install

mv -f %{buildroot}%{_sysconfdir}/bogofilter.cf.example \
 %{buildroot}%{_sysconfdir}/bogofilter.cf

chmod -x contrib/*
rm -v contrib/bogogrep.o
rm -rfv contrib/.deps

%check
make check

%files
%license COPYING
%doc AUTHORS NEWS README* RELEASE.NOTES* TODO bogofilter.cf.example contrib
%doc doc/bogofilter-SA* doc/bogofilter-tuning.HOWTO* doc/integrating* doc/programmer/
%{_bindir}/bogo*
%{_bindir}/bf_*
%exclude %{_bindir}/bogoupgrade
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_mandir}/man1/bogo*.1*
%{_mandir}/man1/bf_*.1*
%exclude %{_mandir}/man1/bogoupgrade*

%files bogoupgrade
%{_bindir}/bogoupgrade
%{_mandir}/man1/bogoupgrade*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 08 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.2.5-1
- initial build
